/* $Id: VCSLogTags.h,v 2.9 2005/01/09 17:54:54 bkorb Exp $  */
/*
 * $Copyright: Copyright (c) 2011 Symantec Corporation.
 * All rights reserved.
 *
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
 * SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
 * WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
 *
 * The Licensed Software and Documentation are deemed to be commercial
 * computer software as defined in FAR 12.212 and subject to restricted
 * rights as defined in FAR Section 52.227-19 "Commercial Computer
 * Software - Restricted Rights" and DFARS 227.7202, "Rights in
 * Commercial Computer Software or Commercial Computer Software
 * Documentation", as applicable, and any successor regulations. Any use,
 * modification, reproduction release, performance, display or disclosure
 * of the Licensed Software and Documentation by the U.S. Government
 * shall be solely in accordance with the terms of this Agreement.  $
 */
#ifndef _VCSLOGTAGS_H
#define _VCSLOGTAGS_H

static const char vcslogtags_sccsid[] = "@(#)VCS:$RCSfile: VCSLogTags.h,v $	$Revision: 2.9 $";

#define TAG_COUNT	26

#define TAG_A	0
#define TAG_B	1
#define TAG_C	2
#define TAG_D	3
#define TAG_E	4
#define TAG_F	5
#define TAG_G	6
#define TAG_H	7
#define TAG_I	8
#define TAG_J	9
#define TAG_K	10
#define TAG_L	11
#define TAG_M	12
#define TAG_N	13
#define TAG_O	14
#define TAG_P	15
#define TAG_Q	16
#define TAG_R	17
#define TAG_S	18
#define TAG_T	19
#define TAG_U	20
#define TAG_V	21
#define TAG_W	22
#define TAG_X	23
#define TAG_Y	24
#define TAG_Z	25

#define LOG_NONE	0x0000
#define LOG_TIMESTAMP	0x0001
#define LOG_NEWLINE	0x0002
#define LOG_TAG		0x0004

#define LOG_RES		0x0008
#define LOG_GRP		0x0010
#define LOG_SYS		0x0020
#define LOG_AGT		0x0040

#define LOG_DEFAULT	( LOG_TIMESTAMP | LOG_TAG | LOG_NEWLINE )

#endif /* _VCSLOGTAGS_H */
