#!/bin/sh

PATH=/usr/bin:/bin:/usr/sbin:/sbin:$PATH
SU="su"

unset BASH_ENV

ORA_HOME="$1"
shift

LISTENER_NAME="$1"
shift

OWNER="$1"
shift

while getopts "t:p:" option; do
        case $option in
                t) TNSADMIN="$OPTARG";;
		p) PASSWORD="$OPTARG";;
        esac
done

STATSTR="$ORA_HOME/bin/lsnrctl status $LISTENER_NAME"
LSNRCTL="$ORA_HOME/bin/lsnrctl"

NLS_LANG="American_America.US7ASCII";export NLS_LANG
NLS_LANGUAGE="American_America.US7ASCII";export NLS_LANGUAGE
NLS_TERRITORY="AMERICA";export NLS_TERRITORY

if [ -z "$PASSWORD" ]
then
	$SU $OWNER -c "env NLS_LANG=American_America.US7ASCII ORACLE_HOME=$ORA_HOME TNS_ADMIN=$TNSADMIN $STATSTR"
else
	$SU $OWNER -c "env NLS_LANG=American_America.US7ASCII ORACLE_HOME=$ORA_HOME TNS_ADMIN=$TNSADMIN  $LSNRCTL <<!
set current_listener $LISTENER_NAME
set password $PASSWORD
status
!"	
fi
