#!/bin/sh

# $Copyright: Copyright (c) 2011 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $  


# Generate threadlist
#

#
#
#check for lock file

if [ -f $LOCATION/log/threadlock.flag ]
then
 	exit
fi

# create lock file

echo $$ > $LOCATION/$LOGDIR/threadlock.flag

FILE=$1
#echo "LINUX threadlist called with ${FILE} as output."

if [ -f /usr/bin/crash ]
then
	echo "foreach task > ${FILE}" > crash.in
	echo "quit" >> crash.in
	/usr/bin/crash -i crash.in > /dev/null 2> /dev/null
	rm -f crash.in
fi

# remove lock
rm -f $LOCATION/$LOGDIR/threadlock.flag

